Bug 443855 - kernel 2.6.24.4-64 breaks xsane device scanning
kernel 2.6.24.4-64 breaks xsane device scanning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 14:14 EDT by Gus Wirth
Modified: 2009-01-09 02:47 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.25.6-27.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:47:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with xsane stuck (119.66 KB, text/plain)
2008-05-01 11:56 EDT, Gus Wirth
no flags Details
messages resulting from echo "t" > /proc/sysrq-trigger (204.71 KB, text/plain)
2008-05-01 11:59 EDT, Gus Wirth
no flags Details
dmesg with xsane stuck (22.47 KB, text/plain)
2008-05-01 12:16 EDT, Gus Wirth
no flags Details
dmesg without printer attached (24.12 KB, text/plain)
2008-05-02 18:59 EDT, Gus Wirth
no flags Details

  None (edit)
Description Gus Wirth 2008-04-23 14:14:41 EDT
Description of problem:
Updating the kernel from 2.6.23.15-137 to kernel 2.6.24.4-64 causes xsane to
hang on "scanning for devices". This seems similar to bug 226929.

Version-Release number of selected component (if applicable):

kernel-2.6.23.15-137.fc8
kernel-2.6.24.4-64.fc8
xsane-0.944-4.fc8
sane-backends-libs-1.0.18-17.fc8
sane-backends-1.0.18-17.fc8

How reproducible:
Attempt to run xsane with kernel 2.6.24.4-64. Command will cause a dialog box to
appear that says "scanning for devices" that hangs indefinitely.

Steps to Reproduce:
1. run xsane
  
Actual results:
Dialog box appears that says "scanning for devices". Hangs indefinitely.

Expected results:
Scanner gets detected in about 20 seconds and selection dialog presented.

Additional info:

Scanner is an HP C2520A attached to an Adaptec 2940 SCSI adapter. The adapter
and scanner are properly detected as seem in dmesg:

scsi2 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 7.0
        <Adaptec 2940 SCSI adapter>
        aic7870: Single Channel A, SCSI Id=7, 16/253 SCBs

scsi 2:0:2:0: Processor         HP       C2520A           3503 PQ: 0 ANSI: 2
 target2:0:2: Beginning Domain Validation
 target2:0:2: Ending Domain Validation

The scanner shows up when scanned by sane-find-scanner:
[gus@falcon ~]$ sane-find-scanner

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

found SCSI processor "HP C2520A 3503" at /dev/scanner
found SCSI processor "HP C2520A 3503" at /dev/sg2
  # Your SCSI scanner was detected. It may or may not be supported by SANE. Try
  # scanimage -L and read the backend's manpage.

However, scanimage -L will just hang.

/var/log/messages shows the following:

Apr 23 10:50:43 falcon kernel: ppdev: user-space parallel port driver
Apr 23 10:50:43 falcon xsane: io/hpmud/model.c 513: no HP_LaserJet_4ML attribute
s found in /usr/share/hplip/data/models/models.dat
Apr 23 10:50:43 falcon xsane: io/hpmud/model.c 524: no HP_LaserJet_4ML attribute
s found in /usr/share/hplip/data/models/unreleased/unreleased.dat
Apr 23 10:50:43 falcon xsane: io/hpmud/pp.c 1239: ignoring hp:/par/HP_LaserJet_4
ML?device=/dev/parport0 support=0
Apr 23 10:50:43 falcon kernel: sysctl table check failed: /dev/parport/parport0/
devices/ppdev0/timeslice  Sysctl already exists
Apr 23 10:50:43 falcon kernel: Pid: 2944, comm: xsane Tainted: P        2.6.24.4
-64.fc8 #1
Apr 23 10:50:43 falcon kernel:  [<c0442bef>] set_fail+0x3b/0x43
Apr 23 10:50:43 falcon kernel:  [<c0443006>] sysctl_check_table+0x40f/0x460
Apr 23 10:50:43 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 23 10:50:43 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 23 10:50:43 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 23 10:50:43 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 23 10:50:43 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 23 10:50:43 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 23 10:50:43 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 23 10:50:43 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 23 10:50:43 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 23 10:50:43 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 23 10:50:43 falcon kernel:  [<c043429d>] sysctl_set_parent+0x19/0x2a
Apr 23 10:50:43 falcon kernel:  [<c0435536>] register_sysctl_table+0x45/0x7e
Apr 23 10:50:43 falcon kernel:  [<f89ed294>] parport_device_proc_register+0xa2/0
xbc [parport]
Apr 23 10:50:43 falcon kernel:  [<f89ebb1b>] parport_register_device+0x1bb/0x20c
 [parport]
Apr 23 10:50:43 falcon kernel:  [<f8acf6ff>] pp_ioctl+0x13b/0x700 [ppdev]
Apr 23 10:50:43 falcon kernel:  [<f8acf1c6>] pp_irq+0x0/0x45 [ppdev]
Apr 23 10:50:43 falcon kernel:  [<c04930cc>] do_ioctl+0x4c/0x62
Apr 23 10:50:43 falcon kernel:  [<c0493319>] vfs_ioctl+0x237/0x249
Apr 23 10:50:43 falcon kernel:  [<c0493370>] sys_ioctl+0x45/0x5d
Apr 23 10:50:43 falcon kernel:  [<c04051da>] syscall_call+0x7/0xb
Apr 23 10:50:43 falcon kernel:  =======================

I have an HP Laserjet 4ML printer attached to my parallel port.

xsane with kernel-2.6.23.15-137 was working fine before the upgrade.
Comment 1 Gus Wirth 2008-04-23 14:19:05 EDT
selinux is set to permissive mode.
Running the xsane program as root has no effect.
Comment 2 Nils Philippsen 2008-04-30 11:53:38 EDT
From your description I understand that it works if you boot into the old
kernel. I'll change the component to kernel then. Mind that you should try to
reproduce the problem without any proprietary kernel modules loaded (i.e. an
untainted kernel).
Comment 3 Gus Wirth 2008-04-30 23:45:12 EDT
Yikes! Things have been working so well for so long that I forgot about that.
I've gotten rid of the offending modules and retested with the same results.
Snippet of /var/log/messages:

Apr 30 20:34:34 falcon kernel: ppdev: user-space parallel port driver
Apr 30 20:34:34 falcon xsane: io/hpmud/model.c 513: no HP_LaserJet_4ML attribute
s found in /usr/share/hplip/data/models/models.dat
Apr 30 20:34:34 falcon xsane: io/hpmud/model.c 524: no HP_LaserJet_4ML attribute
s found in /usr/share/hplip/data/models/unreleased/unreleased.dat
Apr 30 20:34:34 falcon xsane: io/hpmud/pp.c 1239: ignoring hp:/par/HP_LaserJet_4
ML?device=/dev/parport0 support=0
Apr 30 20:34:34 falcon kernel: sysctl table check failed: /dev/parport/parport0/
devices/ppdev0/timeslice  Sysctl already exists
Apr 30 20:34:34 falcon kernel: Pid: 2545, comm: xsane Not tainted 2.6.24.4-64.fc
8 #1
Apr 30 20:34:34 falcon kernel:  [<c0442bef>] set_fail+0x3b/0x43
Apr 30 20:34:34 falcon kernel:  [<c0443006>] sysctl_check_table+0x40f/0x460
Apr 30 20:34:34 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 30 20:34:34 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 30 20:34:34 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 30 20:34:34 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 30 20:34:34 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 30 20:34:34 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 30 20:34:34 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 30 20:34:34 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 30 20:34:34 falcon kernel:  [<c04352d5>] sysctl_head_finish+0x18/0x22
Apr 30 20:34:34 falcon kernel:  [<c044301a>] sysctl_check_table+0x423/0x460
Apr 30 20:34:34 falcon kernel:  [<c043429d>] sysctl_set_parent+0x19/0x2a
Apr 30 20:34:34 falcon kernel:  [<c0435536>] register_sysctl_table+0x45/0x7e
Apr 30 20:34:34 falcon kernel:  [<f8a12294>] parport_device_proc_register+0xa2/0
xbc [parport]
Apr 30 20:34:34 falcon kernel:  [<f8a10b1b>] parport_register_device+0x1bb/0x20c
 [parport]
Apr 30 20:34:34 falcon kernel:  [<f89c66ff>] pp_ioctl+0x13b/0x700 [ppdev]
Apr 30 20:34:34 falcon kernel:  [<f89c61c6>] pp_irq+0x0/0x45 [ppdev]
Apr 30 20:34:34 falcon kernel:  [<c04930cc>] do_ioctl+0x4c/0x62
Apr 30 20:34:34 falcon kernel:  [<c0493319>] vfs_ioctl+0x237/0x249
Apr 30 20:34:34 falcon kernel:  [<c0493370>] sys_ioctl+0x45/0x5d
Apr 30 20:34:34 falcon kernel:  [<c04051da>] syscall_call+0x7/0xb
Apr 30 20:34:34 falcon kernel:  =======================
Comment 4 Chuck Ebbert 2008-05-01 03:09:08 EDT
Can you run the 'dmesg' command after the program that's reading the scanner
hangs and upload that?

Also run this command while the program is hanging and upload what it writes to
the syslog:

  echo "t" >/proc/sysrq-trigger

Don't drop them in the comment box, create individual attachments and set the
type to text/plain.
Comment 5 Gus Wirth 2008-05-01 11:56:37 EDT
Created attachment 304315 [details]
dmesg with xsane stuck
Comment 6 Gus Wirth 2008-05-01 11:59:25 EDT
Created attachment 304316 [details]
messages resulting from echo "t" > /proc/sysrq-trigger
Comment 7 Gus Wirth 2008-05-01 12:16:13 EDT
Created attachment 304318 [details]
dmesg with xsane stuck

I did a reboot to get a clean dmesg.
Comment 8 Gus Wirth 2008-05-02 18:57:16 EDT
A simple work-around is to disconnect the printer before starting xsane. With
the printer disconnected, xsane works as expected.
Comment 9 Gus Wirth 2008-05-02 18:59:13 EDT
Created attachment 304430 [details]
dmesg without  printer attached
Comment 10 Gus Wirth 2008-06-26 11:59:06 EDT
This is fixed with kernel-2.6.25.6-27.fc8 on Fedora 8.

It might have been fixed sooner but I didn't test it till now.
Comment 11 Gus Wirth 2008-10-30 14:09:36 EDT
This broke again with kernel-2.6.26.5-28.fc8 and kernel-2.6.26.6-49.fc8 in exactly the same way. Should I file a new bug report or can this one be reopened?
Comment 12 Bug Zapper 2008-11-26 05:33:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:47:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.